{
  config,
  inputs,
  pkgs,
  ...
}: {
  imports = [
    ./autostart.nix
    ../modules/hyprlock
    ../modules/hyprpaper
    ../modules/stylix
  ];

  home-manager.sharedModules = [
    ./home.nix
  ];

  environment.systemPackages = with pkgs; [
    #mako
    fuzzel
    waybar
    xwayland-satellite
  ];

  programs = {
    niri = {
      enable = true;
    };
    xwayland.enable = true;
  };

  #services.xserver.enable = true;
  #services.xserver.displayManager.sddm.enable = true;

  xdg.portal = {
    #Needed for waybar
    enable = true;
    extraPortals = [pkgs.xdg-desktop-portal-gtk pkgs.xdg-desktop-portal-wlr];
    config.common.default = "*";
  };

  #sound.enable = true;
  #security.rtkit.enable = true;
}
